## org.apache.log4j.spi
Interface ThrowableRendererSupport

All Known Implementing Classes:
  Hierarchy

    public interface ThrowableRendererSupport

Implemented by logger repositories that support configurable rendering of Throwables.

Since:
  1.2.16

Method Summary
`ThrowableRenderer` `getThrowableRenderer()` Get throwable renderer.
`void` `setThrowableRenderer(ThrowableRenderer renderer)` Set throwable renderer.

Method Detail

### getThrowableRenderer

    ThrowableRenderer getThrowableRenderer()

  Get throwable renderer.

  Returns:
    throwable renderer, may be null.

### setThrowableRenderer

    void setThrowableRenderer(ThrowableRenderer renderer)

  Set throwable renderer.

  Parameters:
    `renderer` - renderer, may be null.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.